Bug 12834

Summary: Drosera should remember scroll position of open files like Xcode
Product: WebKit Reporter: Vladimir Olexa (vladinecko) <vladimir.olexa>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: CLOSED FIXED    
Severity: Minor    
Priority: P3    
Version: 420+   
Hardware: Mac   
OS: OS X 10.4   
Attachments:
Description Flags
Patch
timothy: review-
Patch with Changelog timothy: review+

Description Vladimir Olexa (vladinecko) 2007-02-20 21:49:22 PST
Let's say you open file A and select a function from the function list which scrolls down to position posA. When you then select a different file B, you'll see that it is still scrolled to position posA (relative to the size of file B). 

Proper behavior should be remembering scroll positions for each open file like Xcode does. 

Patch forthcoming.
Comment 1 Vladimir Olexa (vladinecko) 2007-02-20 23:43:08 PST
Created attachment 13287 [details]
Patch

I am only remembering the top position. I wasn't sure if horizontal position is really important to remember. If it is, it would be an easy change.
Comment 2 Vladimir Olexa (vladinecko) 2007-02-20 23:45:10 PST
Just to note, Xcode only remembers y-position as well. 
Comment 3 Timothy Hatcher 2007-02-21 08:30:34 PST
Comment on attachment 13287 [details]
Patch

Looks good, please add a ChangeLog and I'll r+ this.
Comment 4 Vladimir Olexa (vladinecko) 2007-02-21 09:42:51 PST
Created attachment 13298 [details]
Patch with Changelog

oops, I thought I did. Here it is again with Changelog attached.
Comment 5 Timothy Hatcher 2007-02-21 12:02:20 PST
Comment on attachment 13298 [details]
Patch with Changelog

Always good to put the bug link and number in the ChangeLog. I'll add that. Thanks for the patch!
Comment 6 Timothy Hatcher 2007-02-21 12:12:00 PST
Landed in r19775.
Comment 7 Timothy Hatcher 2008-05-17 09:56:03 PDT
Closing since Drosera has been replaced by the new Web Inspector debugger. Moving to the New Bugs component so the Drosera component can be closed and removed.